> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aflux.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch apiv1usersme



## OpenAPI

````yaml https://backend.aflux.ai/openapi patch /api/v1/users/me
openapi: 3.0.3
info:
  title: AdFlux Backend API
  version: v1
servers:
  - url: /
security: []
tags:
  - name: auth
  - name: users
  - name: uploads
  - name: projects
  - name: campaigns
  - name: placements
  - name: billing
  - name: payments
  - name: image-generations
paths:
  /api/v1/users/me:
    patch:
      tags:
        - users
      operationId: usersPatchMe
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchMeRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
        default:
          $ref: '#/components/responses/DefaultError'
      security:
        - Bearer: []
components:
  schemas:
    PatchMeRequest:
      type: object
      required:
        - displayName
      properties:
        displayName:
          type: string
        language:
          type: string
    User:
      type: object
      required:
        - id
        - email
        - displayName
        - emailVerified
        - referralCode
        - language
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        email:
          type: string
        displayName:
          type: string
        emailVerified:
          type: boolean
        referralCode:
          type: string
        language:
          type: string
        createdAt:
          type: string
          format: date-time
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    DefaultError:
      description: Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````